- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- DateRange
- TimeSeries
- Try it!
Gets forecasted and historical traffic data for the segment of traffic specified by the provided request.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}:runTrafficData
Path parameters
| Parameters | |
|---|---|
parent |
Required. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "targeting": { object ( |
| Fields | |
|---|---|
targeting |
Required. The |
requestedDateRange |
Required. The date range for which traffic data are requested. This range may cover historical dates, future dates, or both. The data returned are not guaranteed to cover the entire requested date range. If sufficient data are not available to cover the entire requested date range, a response may be returned with a later start date, earlier end date, or both. |
Response body
Response object for [networks.runTrafficData][] method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "historicalTimeSeries": { object ( |
| Fields | |
|---|---|
historicalTimeSeries |
Time series of historical traffic ad opportunity counts. This may be null if the requested date range did not contain any historical dates, or if no historical data are available for the requested traffic segment. |
forecastedTimeSeries |
Time series of forecasted traffic ad opportunity counts. This may be null if the requested date range did not contain any future dates, or if no forecasted data are available for the requested traffic segment. |
forecastedAssignedTimeSeries |
Time series of future traffic volumes forecasted to be sold. This may be null if the requested date range did not contain any future dates, or if no sell-through data are available for the requested traffic segment. |
overallDateRange |
The overall date range spanned by the union of all time series in the response. This is a summary field for convenience. The value will be set such that the start date is equal to the earliest start date of all time series included, and the end date is equal to the latest end date of all time series included. If all time series fields are null, this field will also be null. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
DateRange
A date range with fixed start and end dates (e.g. 2021-06-01 - 2021-06-30).
| JSON representation |
|---|
{ "startDate": { object ( |
| Fields | |
|---|---|
startDate |
The start of the date range. |
endDate |
The end of the date range. |
TimeSeries
Represents a chronological sequence of daily values.
| JSON representation |
|---|
{
"timeSeriesDateRange": {
object ( |
| Fields | |
|---|---|
timeSeriesDateRange |
The date range of the time series. |
values[] |
The daily values constituting the time series. The number of time series values must equal the number of days spanned by the time series date range, inclusive. For example, a timeSeriesDateRange of 2001-08-15 to 2001-08-17 contains one value for the 15th, one value for the 16th, and one value for the 17th. |